org.apache.ignite.internal.worker

## Class WorkersControlMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.worker.WorkersControlMXBeanImpl

All Implemented Interfaces:
  WorkersControlMXBean

    public class WorkersControlMXBeanImpl
    extends Object
    implements WorkersControlMXBean

MBean that provides control of system workersRegistry.

### Constructor Summary

Constructors
Constructor and Description
`WorkersControlMXBeanImpl(WorkersRegistry registry)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getWorkerNames()` Returns names of all registered workers.
`boolean` `terminateWorker(String name)` Terminates worker.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkersControlMXBeanImpl

    public WorkersControlMXBeanImpl(WorkersRegistry registry)

Constructor.

Parameters:
  `registry` - System worker registry.

### Method Detail

#### getWorkerNames

    public List<String> getWorkerNames()

Returns names of all registered workers.

Specified by:
  `getWorkerNames` in interface `WorkersControlMXBean`
Returns:
  Worker names.

#### terminateWorker

    public boolean terminateWorker(String name)

Terminates worker.

Specified by:
  `terminateWorker` in interface `WorkersControlMXBean`
Parameters:
  `name` - Worker name.
Returns:
  `True` if worker has been terminated successfully, `false` otherwise.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018